netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
printcap.h File Reference
`#include <sys/types.h>`

Go to the source code of this file.

## Functions
int | getprent (char *, char *, int)
| Similar to tgetent except it returns the next entry instead of doing a lookup.
int | pnchktc (char *)
int | pgetflag (char *)
void | endprent (void)
int | pgetent (char *, char *, const char *)
int | pgetnum (char *)
int | pnamatch (const char *)
char * | pgetstr (char *id, char **area)
char * | getpname (char **area, int bufsize)

## Function Documentation

## ◆ endprent()

void endprent | ( | void |  | ) |

## ◆ getpname()

char * getpname | ( | char ** | area,
|  | int | bufsize )

## ◆ getprent()

int getprent | ( | char * | cap,
|  | char * | bp,
|  | int | bufsize )

Similar to tgetent except it returns the next entry instead of doing a lookup.

Note
  Added a "cap" parameter, so we can use these calls for printcap and papd.conf.

## ◆ pgetent()

int pgetent | ( | char * | ,
|  | char * | ,
|  | const char * | )

## ◆ pgetflag()

int pgetflag | ( | char * |  | ) |

## ◆ pgetnum()

int pgetnum | ( | char * |  | ) |

## ◆ pgetstr()

char * pgetstr | ( | char * | id,
|  | char ** | area )

## ◆ pnamatch()

int pnamatch | ( | const char * |  | ) |

## ◆ pnchktc()

int pnchktc | ( | char * |  | ) |